| OptFEM2DP1 Toolbox V1.2b3 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
runValids.m File Reference

Run validation tests for Mass (validMassP1), MassW (validMassWP1), Stiff (validStiffP1) and StiffElas (validStiffElasP1) matrices. For each assembly matrix, we make 3 tests. More...

Go to the source code of this file.

## Functions
function | runValids (varargin)
| Run validation tests for Mass (validMassP1), MassW (validMassWP1), Stiff (validStiffP1) and StiffElas (validStiffElasP1) matrices. For each assembly matrix, we make 3 tests.

## Detailed Description

Run validation tests for Mass (validMassP1), MassW (validMassWP1), Stiff (validStiffP1) and StiffElas (validStiffElasP1) matrices. For each assembly matrix, we make 3 tests.

- Test 1 : computation of the assembly Matrix using all the versions giving errors and computation times.
- Test 2 : comparison of the associated integral and its -Lagrange approximation.
- Test 3 : retrieving of numerical order for -Lagrange approximation.

Definition in file runValids.m.

## Function Documentation

function runValids | ( |  | varargin | ) |

Run validation tests for Mass (validMassP1), MassW (validMassWP1), Stiff (validStiffP1) and StiffElas (validStiffElasP1) matrices. For each assembly matrix, we make 3 tests.

     - Test 1 : computation of the assembly Matrix using all the versions giving
       errors and computation times.
     - Test 2 : comparison of the associated integral and its \form#43-Lagrange approximation.
     - Test 3 : retrieving of numerical order for \form#43-Lagrange approximation.

Example

           runValids('save',true,'percent',50)

Results under Matlab R2012b
  Here are the figures for `Test 3` obtained on our reference machine.
  - validMassP1() figure
    figure : Mass Matrix order validation
  - validMassWP1() figure
    figure : MassW Matrix order validation
  - validStiffP1() figure
    figure : Stiff Matrix order validation
  - validStiffElasP1() figure
    figure : StiffElas Matrix order validation

See Also
  validMassP1, validMassWP1, validStiffP1, validStiffElasP1, SaveFigure

Copyright
  See License issues

Parameters

  varargin | runValids ( [ "save", save_value ] [, "percent", percent_value ] ) Named Parameters for varargin: save set to true to save figures in `image` directory. ( Default: `false` ) percent value for resizing the figure (only png format). See SaveFigure ( Default: `50` )

Definition at line 17 of file runValids.m.